## libapache-poi-java 4.0.1

=== src/contrib/poi-ruby/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.


# Makefile for building Poi4R
#
# Supported operating systems: Linux, Mac OS X and Windows.
# See INSTALL file for requirements.
# 
# Steps to build
#   1. Edit the sections below as documented
#   2. make all
#   3. make install
#
# The install target installs the Poi4R python extension in python's
# site-packages directory. On Mac OS X, it also installs the gcj runtime
# libraries into $(PREFIX)/lib.
#
# To successfully import the Poi4R extension into Ruby, all required
# libraries need to be found. If the locations you chose are non-standard,
# the relevant DYLD_LIBRARY_PATH (Mac OS X), LD_LIBRARY_PATH (Linux), or 
# PATH (Windows) need to be set accordingly.
# 


VERSION=0.1.0
POI_VER=$(shell grep '<property name="version.id"' ../../../build.xml | awk -F'"' '{print $$4}')
RUBY_VER=1.8

POI4R:=$(shell pwd)
POI=$(POI4R)/poi-$(POI_VER)
#DEBUG=1

# 
# You need to uncomment and edit the variables below in the section
# corresponding to your operating system.
#
# PREFIX: where programs are normally installed on your system (Unix).
# PREFIX_RUBY: where your version of python is installed.
# GCJ_HOME: where GCC/GCJ is installed.
# Windows drive-absolute paths need to be expressed cygwin style.
#

# Mac OS X (Darwin)
#PREFIX=/usr/local
#PREFIX_RUBY=/Library/Frameworks/Ruby.framework/Versions/$(RUBY_VER)
#SWIG=$(PREFIX)/bin/swig
#GCJ_HOME=/usr/local/gcc-3.4.1
#DB=$(POI4R)/db-$(DB_VER)
#PREFIX_DB=/usr/local/BerkeleyDB.$(DB_LIB_VER)

# Linux
PREFIX=/usr
PREFIX_RUBY=$(PREFIX)
SWIG=$(PREFIX)/bin/swig
GCJ_HOME=/usr
#DB=$(POI4R)/db-$(DB_VER)
#PREFIX_DB=$(PREFIX)/BerkeleyDB.$(DB_LIB_VER)

# Windows
#PREFIX_RUBY=/cygdrive/o/Python-2.3.2
#SWIG=/cygdrive/c/utils/bin/swig.exe
#GCJ_HOME=/cygdrive/o/mingw-3.1
#DB=/cygdrive/o/db-$(DB_VER)
#PREFIX_DB=$(DB)

#
# No edits required below
#

OS=$(shell uname)
ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
OS=Cygwin
endif
ifeq ($(findstring WINNT,$(OS)),WINNT)
OS=Cygwin
endif

ifeq ($(DEBUG),1)
COMP_OPT=DEBUG=1
SUFFIX=d
_SUFFIX=_d
BINDIR=debug
else
COMP_OPT=
SUFFIX=
_SUFFIX=
BINDIR=release
endif

SWIG_OPT=-DSWIG_COBJECT_TYPES -DPOI4R_VER="'$(VERSION)'" -DPOI_VER="'$(POI_VER)'"

JCCFLAGS=--encoding=UTF-8
#JCCFLAGS=--encoding=UTF-8 -findirect-dispatch

ifeq ($(OS),Darwin)
RUBY_SITE=$(PREFIX_RUBY)/lib/ruby$(RUBY_VER)/site-packages
RUBY_INC=$(PREFIX_RUBY)/lib/ruby$(RUBY_VER)
POI4R=$(BINDIR)/poi4r.so
ifeq ($(DEBUG),1)
CCFLAGS=-O0 -g
LDFLAGS=-g
else
CCFLAGS=-O2
LDFLAGS=
endif
else

ifeq ($(OS),Linux)
RUBY_SITE=$(PREFIX_RUBY)/lib/ruby/site-ruby/$(RUBY_VER)/
RUBY_INC=$(PREFIX_RUBY)/lib/ruby/$(RUBY_VER)/i686-linux
POI4R_LIB=$(BINDIR)/poi4r.so
ifeq ($(DEBUG),1)
CCFLAGS=-O0 -g -fPIC
LDFLAGS=-g
else
CCFLAGS=-O2 -fPIC
LDFLAGS=
endif
else

ifeq ($(OS),Cygwin)
RUBY_SITE=`cygpath -aw $(PREFIX_RUBY)/Lib/site-packages`
RUBY_INC=`cygpath -aw $(PREFIX_RUBY)/Include`
RUBY_PC=`cygpath -aw $(PREFIX_RUBY)/PC`
POI4R_LIB=$(BINDIR)/poi4r$(_SUFFIX).so
ifeq ($(DEBUG),1)
CCFLAGS=-O -g 
LDFLAGS=-g
else
CCFLAGS=-O2
LDFLAGS=
endif
else

RUBY=unknown
RUBY_SITE=unknown
endif
endif
endif

CLASSES=$(BINDIR)/classes
JAR_CLASSES=$(CLASSES)/jar

CC=$(GCJ_HOME)/bin/gcc
CXX=$(GCJ_HOME)/bin/g++
JCC=$(GCJ_HOME)/bin/gcj
JCCH=$(GCJ_HOME)/bin/gcjh
JAR=$(GCJ_HOME)/bin/jar
POI_ZIP=poi-$(POI_VER).jar
POI_JAR=poi-$(POI_VER).jar
POI_JAR_WC=poi-$(POI_VER)-*.jar

POI4R_CP:=$(BINDIR)/$(POI_JAR):$(CLASSES)

OBJS=$(BINDIR)/poi.o  $(BINDIR)/io.java.o $(BINDIR)/io.cpp.o

LIBS=$(POI4R_LIB)

default: all

patches:


env:
ifndef PREFIX_RUBY
	@echo Operating system is $(OS)
	@echo You need to edit that section of the Makefile
	@false
else
	@true
endif


$(BINDIR):
	mkdir -p $(BINDIR)/classes/jar


DISTRIB=Poi-$(VERSION)

ifeq ($(OS),Cygwin)
POI4R_CP:=`cygpath -awp $(POI4R_CP)`
endif


ifeq ($(OS),Cygwin)
_poi=`cygpath -aw $(POI)`
else
_poi=$(POI)
endif

$(BINDIR)/$(POI_JAR): 
	cp ../../../build/dist/$(POI_JAR_WC) $(BINDIR)/$(POI_JAR)
	cd $(JAR_CLASSES); $(JAR) -xf ../../$(POI_JAR)

$(BINDIR)/io.java.o: java/org/apache/poi/RubyOutputStream.java
	$(JCC) $(JCCFLAGS) -C -d $(CLASSES) java/org/apache/poi/RubyOutputStream.java
	$(JCC) $(JCCFLAGS) $(CCFLAGS) -I$(GCJ_HOME)/include -c -o $@ java/org/apache/poi/RubyOutputStream.java

$(CLASSES)/org/apache/poi/RubyOutputStream.h: $(BINDIR)/io.java.o Makefile
	mkdir -p $(CLASSES)/org/apache/poi/hssf/usermodel
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFWorkbook
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFSheet
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFRow
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFCell
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFHeader
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFFooter
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFFont
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFDataFormat
	$(JCCH) -d $(CLASSES) --classpath=$(JAR_CLASSES) org.apache.poi.hssf.usermodel.HSSFCellStyle
	$(JCCH) -d $(CLASSES) --classpath=$(CLASSES) org.apache.poi.RubyOutputStream


$(BINDIR)/io.cpp.o: $(CLASSES)/org/apache/poi/RubyOutputStream.h cpp/RubyIO.cpp $(BINDIR)/io.java.o
	$(JCC) -I$(RUBY_INC) -I$(GCJ_HOME)/include -I$(CLASSES) $(CCFLAGS) -c -o $@ cpp/RubyIO.cpp

$(BINDIR)/poi.o: $(BINDIR)/$(POI_JAR)
	$(JCC) $(JCCFLAGS) $(CCFLAGS) -c -o $@ $(BINDIR)/$(POI_JAR)

Poi4R_wrap.cxx: $(BINDIR)/io.cpp.o Poi4R.i 
ifdef SWIG
	$(SWIG) $(SWIG_OPT) -I$(CLASSES) -c++ -ruby Poi4R.i
endif


ifeq ($(OS),Darwin)
$(POI4R_LIB): $(OBJS) Poi4R_wrap.cxx
	$(CXX) -shared -bundle -o $@ $(CCFLAGS) $(SWIG_OPT) $(DB_INC) -I$(GCJ_HOME)/include -I$(CLASSES) -I$(RUBY_INC) Poi4R_wrap.cxx $(OBJS) -L$(GCJ_HOME)/lib -lgcj -liconv -undefined suppress -flat_namespace -multiply_defined suppress
else

ifeq ($(OS),Linux)
$(POI4R_LIB): $(OBJS) Poi4R_wrap.cxx
	$(CXX) -shared -o $@ $(CCFLAGS) $(SWIG_OPT) $(DB_INC) -I$(CLASSES) -I$(RUBY_INC) Poi4R_wrap.cxx $(OBJS) -lgcj
else

ifeq ($(OS),Cygwin)
$(POI4R_LIB): $(OBJS) Poi4R_wrap.cxx
	$(CXX) -c $(CCFLAGS) $(PYDBG) -D_NO_OLDNAMES -D_off_t=off_t $(SWIG_OPT) $(DB_INC) -I$(CLASSES) -I$(RUBY_PC) -I$(RUBY_INC) -o $(BINDIR)/Poi4R_wrap.o Poi4R_wrap.cxx
	$(CXX) -shared $(LDFLAGS) -o $@ $(OBJS) `cygpath -aw $(PREFIX_RUBY)/python23$(_SUFFIX).dll` $(BINDIR)/Poi4R_wrap.o -lgcj -lwin32k -lws2_32
endif
endif
endif


all: env  $(BINDIR) $(LIBS)
	@echo build of $(POI4R_LIB) complete

install:: all
	install Poi4R.rb $(RUBY_SITE)
	install $(POI4R_LIB) $(RUBY_SITE)

ifeq ($(OS),Darwin)
install::
	install $(GCJ_HOME)/lib/libgcj.5.dylib $(PREFIX)/lib
	install $(GCJ_HOME)/lib/libstdc++.6.dylib $(PREFIX)/lib
	install $(GCJ_HOME)/lib/libgcc_s.1.0.dylib $(PREFIX)/lib
else

ifeq ($(OS),Linux)
install::

else

ifeq ($(OS),Cygwin)
install::

endif
endif
endif


clean:
	rm -rf $(BINDIR) Poi4R.rb* Poi4R_wrap.cxx

realclean: clean
	rm -rf $(POI) $(STORE) $(DISTRIB)

distrib::
	mkdir -p $(DISTRIB)/python
	install Poi4R.rb $(DISTRIB)/python
	install $(POI4R_LIB) $(DISTRIB)/python
	install README $(DISTRIB)

ifeq ($(OS),Darwin)
distrib::
ifdef DB
	mkdir -p $(DISTRIB)/db
	install $(LIBDB_JAVA_LIB) $(DISTRIB)/db
	install libdb_java-$(DB_LIB_VER).la.osx $(DISTRIB)/db
endif
	mkdir -p $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libgcj.5.dylib $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libstdc++.6.dylib $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libgcc_s.1.0.dylib $(DISTRIB)/gcj
else

ifeq ($(OS),Linux)
distrib::
ifdef DB
	mkdir -p $(DISTRIB)/db
	install $(LIBDB_JAVA_LIB) $(DISTRIB)/db
endif
	mkdir -p $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libgcj.so.5 $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libstdc++.so.6 $(DISTRIB)/gcj
	install $(GCJ_HOME)/lib/libgcc_s.so.1 $(DISTRIB)/gcj
else

ifeq ($(OS),Cygwin)
distrib::
ifdef DB
	mkdir -p $(DISTRIB)/db
	install $(LIBDB_JAVA_LIB) $(DISTRIB)/db
endif
endif
endif
endif

## libapache-poi-java 3.6+dfsg

=== debian/changelog ===
libapache-poi-java (3.6+dfsg-2) unstable; urgency=low

  * Rename package from jakarta-poi to apache-poi. Add appropriate Conflicts,
    Replaces, and Provides.
  * Keep some compatibility symlinks in /usr/share/java.
  * Remove Java runtime from Depends.
  * Switch to source format 3.0.
  * Remove Christian from Uploaders list.
  * Switch to debhelper level 7.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Wed, 07 Sep 2011 22:08:56 +0200

libjakarta-poi-java (3.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - refresh all patches
  * Remove Arnaud Vandyck from Uploaders
  * Fix debian/watch to track upstream tarballs naming changes

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 Dec 2009 23:18:25 +0100

libjakarta-poi-java (3.5+dfsg-1) unstable; urgency=low

  * New upstream release.
    - 01_javac_encoding: refreshed
    - 02_classpath: use Debian JAR for build
    - 03_no_ooxml: disable ooxml module (use non-free JARs)
    - 04_jar_names: strip DSTAMP for JARs filenames
  * Update my email address
  * debian/orig-tar.exclude: Update exclusion file list

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 01 Oct 2009 00:36:43 +0200

libjakarta-poi-java (3.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #499729).
    - POI documentation manual is not built anymore (depends on Forrest)
      so remove corresponding doc-base and lintian override.
    - Strip MS Office files from upstream tarball (.ppt, .vsd & so)
  * Add myself to Uploaders
  * Update Standards-Version to 3.8.3:
    - Rename README.Debian-source to README.source to comply with policy
    - Add recommended get-orig-source target (with orig-tar.sh script)
  * Maven POMs:
    - Add a Build-Depends dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - Use maven-dist Ant target to generate all pom.xml files
  * Use quilt as patch system:
    - Add a Build-Depends on quilt
    - Refresh all patches
    - Use patchsys-quilt.mk in debian/rules
    - Describe patch system in debian/README.source
  * Install API documentation in /usr/share/doc/libjakarta-poi-java/api/
  * Update debian/copyright:
    - Update copyright years
    - Include detailled upstream Authors (from KEYS file)
    - Include GPLv3 copyright for a resource file of HDGF part of POI

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Thu, 27 Aug 2009 23:24:48 +0200

libjakarta-poi-java (3.0.2.dfsg-2) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add missing Depends: ${misc:Depends}.
  * Change debhelper compat level to 5.
  * Add Vcs-* and Homepage headers.
  * Update Standards-Version: 3.8.2.
  * Do no longer quote the full text of the Apache license.
  * Change Section: java.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Aug 2009 22:17:13 +0200

libjakarta-poi-java (3.0.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/changelog to have proper copyright.
  * Delete empty directory from documentation.
  * Removed old entry from lintian overrides file.

 -- Michael Koch <konqueror@gmx.de>  Thu, 14 Feb 2008 15:40:22 +0100

libjakarta-poi-java (3.0.1.dfsg-2) unstable; urgency=low

  * Improved wtch file to remove '.dfsg' in debian version.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 28 Dec 2007 11:23:11 +0100

libjakarta-poi-java (3.0.1.dfsg-1) unstable; urgency=low

  * oops, of course we need to remove lib/*.jar and src/contrib/lib/* from the orig

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Sep 2007 19:24:21 +0200

libjakarta-poi-java (3.0.1-2) unstable; urgency=low

  * Fix build for environments without locale set. Closes: #443034.
  * Removed Wolfgang from Uploaders and added myself.

 -- Michael Koch <konqueror@gmx.de>  Tue, 18 Sep 2007 20:33:07 +0200

libjakarta-poi-java (3.0.1-1) unstable; urgency=low

  * New upstream release (closes: #436974)
  * add myself to Uploaders
  * add watch file 

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Sep 2007 00:27:43 +0200

libjakarta-poi-java (2.5.1-3) unstable; urgency=low

  * Standards-Version: updated to 3.7.2, no change needed
  * built with java-gcj-compat-dev
  * no more run the tests (closes: #393151). I was able to run a lot of
    tests with java-gcj-compat, but got a problem 'cannot open
    display'. Maybe it'll be a problem with pbuilders.
  * removed the patches

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 30 Oct 2006 14:19:36 +0100

libjakarta-poi-java (2.5.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Wolfgang Baer <WBaer@gmx.de>  Thu,  2 Feb 2006 15:37:06 +0100

libjakarta-poi-java (2.5.1-1) experimental; urgency=low

  * New upstream release
  * Move to main - build with kaffe
  * Apache 2.0 License, adjusted debian/copyright
  * Move package to pkg-java-maintainers for comaintenance, 
    added Christian Bayle and myself as uploaders
  * New build dependencies (some are also dependencies) 
    libcommons-logging-java, liblog4j1.2-java, ant-optional, junit, cdbs,
    libxalan2-java, libcommons-beanutils-java, libcommons-lang-java
  * Added compat file for debhelper 4 compatibility
  * Updated README.Debian with information about different classpaths 
    dependend on used jakarta-poi jar files (main, scratchpad, contrib)
  * Enabled and run unit tests
  * Register manual and api with doc-base
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Tue, 25 Oct 2005 21:12:16 +0200

libjakarta-poi-java (1.10.0-4) unstable; urgency=high

  * Fixed FTBFS: Missing Build-Depends on 'ant' (Closes: #306750)

 -- Christian Bayle <bayle@debian.org>  Thu, 28 Apr 2005 21:59:48 +0200

libjakarta-poi-java (1.10.0-3) unstable; urgency=low

  * Missing comma in Build-Depends-Indep line of control file
  (Closes: bug#254881) 



=== debian/control ===
Source: libapache-poi-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Michael Koch <konqueror@gmx.de>, Torsten Werner <twerner@debian.org>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, ant-optional, junit, default-jdk, libcommons-logging-java, liblog4j1.2-java, libxalan2-java, libcommons-beanutils-java, libcommons-lang-java, maven-repo-helper
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libapache-poi-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libapache-poi-java/
Homepage: http://poi.apache.org

Package: libapache-poi-java
Architecture: all
Depends: libcommons-logging-java, liblog4j1.2-java, libxalan2-java, libcommons-beanutils-java, libcommons-lang-java, ${misc:Depends}
Suggests: libapache-poi-java-doc
Conflicts: libjakarta-poi-java
Replaces: libjakarta-poi-java
Provides: libjakarta-poi-java
Description: Poor Obfuscation Implementation
 The POI project consists of APIs for manipulating various file formats 
 based upon Microsoft's OLE 2 Compound Document format using pure Java.
 .
 OLE 2 Compound Document Format based files include
 most Microsoft Office files such as XLS and DOC. 

Package: libapache-poi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libapache-poi-java
Conflicts: libjakarta-poi-java-doc
Replaces: libjakarta-poi-java-doc
Provides: libjakarta-poi-java-doc
Description: Poor Obfuscation Implementation Documentation
 The POI project consists of APIs for manipulating various file formats 
 based upon Microsoft's OLE 2 Compound Document format using pure Java.
 .
 This package includes the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')

PACKAGE := apache-poi
MAVEN_DIST := build/dist
POM_DIR := $(MAVEN_DIST)
JAR_DIR := $(MAVEN_DIST)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := $(ANT_HOME)/lib/ant-junit.jar $(ANT_HOME)/lib/ant-nodeps.jar junit xalan2
DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
#DEB_ANT_CHECK_TARGET := test

ANT_ARGS := -Dversion.id=$(VERSION)

clean::
	-test -d docs/skin/css && rmdir docs/skin/css
	-rm -rf debian/tmp

binary-post-install/lib$(PACKAGE)-java::
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-contrib-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-scratchpad-$(VERSION).pom
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-$(VERSION).pom $(JAR_DIR)/poi-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-contrib-$(VERSION).pom $(JAR_DIR)/poi-contrib-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-scratchpad-$(VERSION).pom $(JAR_DIR)/poi-scratchpad-$(VERSION).jar

get-orig-source:
	debian/orig-tar.sh --upstream-version $(VERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	http://www.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz

## libapache-poi-java 3.9

=== debian/changelog ===
libapache-poi-java (3.9-1) unstable; urgency=low

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Removed poi-contrib.jar (merged into poi.jar and poi-examples.jar)
    - Removed the unused dependencies on commons-beanutils, commons-lang
      and xalan
    - Added a dependency on libcommons-codec-java
    - Added the new excelant component (Excel Ant tasks)
  * Removed the patches 01_javac_encoding.patch and 02_classpath.patch
  * Enabled the unit tests
  * Added the classpath attribute in the manifests
  * Enabled the ooxml modules (Closes: #658288)
    - Removed the patch 03_no_ooxml.patch
    - Updated debian/orig-tar.sh to fetch the OOXML schemas from the ECMA site
    - Added a dependency on libxmlbeans-java
    - Updated debian/copyright to document the license of the OOXML schemas
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Removed Michael Koch from the uploaders (Closes: #654046)
    - Improved the package description
  * debian/rules: Improved the clean target
  * Updated the debian/README.* files

  [ tony mancill ]
  * Update debian/copyright to DEP5 format; clarify license of 
    chunks_parse_cmds.tbl.  (Closes: #659067)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Jul 2013 23:10:21 +0200

=== debian/control ===
Source: libapache-poi-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>,
           Torsten Werner <twerner@debian.org>,
           Damien Raude-Morvan <drazzib@debian.org>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 7),
               default-jdk,
               javahelper,
               junit,
               libcommons-codec-java,
               libcommons-logging-java,
               libdom4j-java,
               liblog4j1.2-java,
               libxmlbeans-java,
               maven-repo-helper
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libapache-poi-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libapache-poi-java/
Homepage: http://poi.apache.org

Package: libapache-poi-java
Architecture: all
Depends: ant,
         libcommons-codec-java,
         libcommons-logging-java,
         libdom4j-java,
         liblog4j1.2-java,
         libxmlbeans-java,
         ${misc:Depends}
Suggests: libapache-poi-java-doc
Conflicts: libjakarta-poi-java
Replaces: libjakarta-poi-java
Provides: libjakarta-poi-java
Description: Apache POI - Java API for Microsoft Documents
 Apache POI provides a Java API for manipulating various file formats based upon
 the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document
 format (OLE2).
 .
 Apache POI supports the following formats:
  * Word (DOC, DOCX)
  * Excel (XLS, XLSX)
  * PowerPoint (PPT, PPTX)
  * Visio (VSD)
  * Publisher (PUB)
  * Outlook
  * TNEF (Transport Neutral Encoding Format)

Package: libapache-poi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libapache-poi-java
Conflicts: libjakarta-poi-java-doc
Replaces: libjakarta-poi-java-doc
Provides: libjakarta-poi-java-doc
Description: Apache POI - Java API for Microsoft Documents (Documentation)
 Apache POI provides a Java API for manipulating various file formats based upon
 the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document
 format (OLE2).
 .
 Apache POI supports the following formats:
  * Word (DOC, DOCX)
  * Excel (XLS, XLSX)
  * PowerPoint (PPT, PPTX)
  * Visio (VSD)
  * Publisher (PUB)
  * Outlook
  * TNEF (Transport Neutral Encoding Format)
 .
 This package contains the documentation for libapache-poi-java.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')

PACKAGE := apache-poi
MAVEN_DIST := build/dist
POM_DIR := $(MAVEN_DIST)
JAR_DIR := $(MAVEN_DIST)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := ant ant-junit
DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
DEB_ANT_CHECK_TARGET := test
#DEB_INSTALL_CHANGELOGS_ALL := RELEASE-NOTES.txt

ANT_ARGS := -Dversion.id=$(VERSION)

clean::
	mh_clean
	-test -d docs/skin/css && rmdir docs/skin/css
	-rm -rf debian/tmp
	rm -f ooxml-lib/*.jar

binary-post-install/lib$(PACKAGE)-java::
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-scratchpad-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-ooxml-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-ooxml-schemas-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-excelant-$(VERSION).pom
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-$(VERSION).pom $(JAR_DIR)/poi-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-scratchpad-$(VERSION).pom $(JAR_DIR)/poi-scratchpad-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-ooxml-$(VERSION).pom $(JAR_DIR)/poi-ooxml-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-ooxml-schemas-$(VERSION).pom $(JAR_DIR)/poi-ooxml-schemas-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-excelant-$(VERSION).pom $(JAR_DIR)/poi-ooxml-schemas-$(VERSION).jar
	
	jh_classpath -plib$(PACKAGE)-java

get-orig-source:
	debian/orig-tar.sh --upstream-version $(VERSION)

=== debian/watch ===
version=3
http://archive.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz

## libapache-poi-java 3.10

=== debian/changelog ===
libapache-poi-java (3.10-2) unstable; urgency=medium

  * Fixed a test failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Jul 2014 13:51:22 +0200

libapache-poi-java (3.10-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build depend on junit4 instead of junit
    - Added a patch disabling the code coverage report
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Feb 2014 15:17:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Build-Depends: ant,
                ant-optional,
                cdbs,
-               debhelper (>= 7),
+               debhelper (>= 9),
                default-jdk,
                javahelper,
-               junit,
+               junit4,
                libcommons-codec-java,
                libcommons-logging-java,
                libdom4j-java,
                liblog4j1.2-java,
                libxmlbeans-java,
                maven-repo-helper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libapache-poi-java
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libapache-poi-java/
 Homepage: http://poi.apache.org

## libapache-poi-java 3.10.1

=== debian/changelog ===
libapache-poi-java (3.10.1-3) unstable; urgency=medium
 
  * Team upload.

  [ Emmanuel Bourg ]
  * Use the date of the changelog as the release date in Version.java
    (Closes: #790741)

  [ tony mancill ]
  * Standards-Version updated to 3.9.8 (no changes)
  * Update Vcs URLs to use HTTPS.

 -- tony mancill <tmancill@debian.org>  Sun, 14 Aug 2016 17:09:47 -0700

libapache-poi-java (3.10.1-2) unstable; urgency=medium

  * Fixed CVE-2014-9527: Infinite loop on corrupted PPT file (Closes: #775171)
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Jan 2015 15:06:33 +0100

libapache-poi-java (3.10.1-1) unstable; urgency=medium

  * New upstream release (Fixes CVE-2014-3529 and CVE-2014-3574)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 Aug 2014 22:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                liblog4j1.2-java,
                libxmlbeans-java,
                maven-repo-helper
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libapache-poi-java
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libapache-poi-java/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/libapache-poi-java.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libapache-poi-java.git
 Homepage: http://poi.apache.org
 
 Package: libapache-poi-java

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,14 @@
 JAVA_HOME := /usr/lib/jvm/default-java
 ANT_HOME := /usr/share/ant
 
-DEB_JARS := ant ant-junit
+DEB_JARS := ant ant-junit ant-junit4
 DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
 DEB_ANT_CHECK_TARGET := test
 #DEB_INSTALL_CHANGELOGS_ALL := RELEASE-NOTES.txt
+DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
+DSTAMP = $(shell date '--date=$(DEB_CHANGELOG_DATETIME)' +%Y%m%d)
 
-ANT_ARGS := -Dversion.id=$(VERSION)
+ANT_ARGS := -Dversion.id=$(VERSION) -DDSTAMP=$(DSTAMP)
 
 clean::
 	mh_clean

=== debian/watch ===
version=3
http://archive.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz debian debian/orig-tar.sh

## libapache-poi-java 3.12

=== debian/changelog ===
libapache-poi-java (3.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added the new XSDs downloaded during the build in the upstream tarball
    - New build dependencies on libbcpkix-java and libxml-security-java
    - New dependency on libjaxb-api-java for Java 9+

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jul 2018 23:00:27 +0200

libapache-poi-java (3.10.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the test failures with Java 9 (Closes: #893250)
  * Downgraded the ant dependency to "Suggests" level (Closes: #856693)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889320)
  * Properly install the poi-excelant jar
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 10
  * Use salsa.debian.org Vcs-* URLs
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jul 2018 13:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,38 +2,41 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Rene Engelhard <rene@debian.org>,
-           Torsten Werner <twerner@debian.org>,
-           Damien Raude-Morvan <drazzib@debian.org>,
-           Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: ant,
-               ant-optional,
-               cdbs,
-               debhelper (>= 9),
-               default-jdk,
-               javahelper,
-               junit4,
-               libcommons-codec-java,
-               libcommons-logging-java,
-               libdom4j-java,
-               liblog4j1.2-java,
-               libxmlbeans-java,
-               maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libapache-poi-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libapache-poi-java.git
+Uploaders:
+ Rene Engelhard <rene@debian.org>,
+ Torsten Werner <twerner@debian.org>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 10~),
+ default-jdk,
+ javahelper,
+ junit4,
+ libbcpkix-java,
+ libcommons-codec-java,
+ libcommons-logging-java,
+ libdom4j-java,
+ libjaxb-api-java,
+ liblog4j1.2-java,
+ libxmlbeans-java,
+ libxml-security-java (>= 2.0),
+ maven-repo-helper
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/libapache-poi-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libapache-poi-java
 Homepage: http://poi.apache.org
 
 Package: libapache-poi-java
 Architecture: all
-Depends: ant,
-         libcommons-codec-java,
-         libcommons-logging-java,
-         libdom4j-java,
-         liblog4j1.2-java,
-         libxmlbeans-java,
-         ${misc:Depends}
-Suggests: libapache-poi-java-doc
+Depends:
+ libcommons-codec-java,
+ libcommons-logging-java,
+ libdom4j-java,
+ liblog4j1.2-java,
+ libxmlbeans-java,
+ ${misc:Depends}
+Suggests: libapache-poi-java-doc, ant
 Conflicts: libjakarta-poi-java
 Replaces: libjakarta-poi-java
 Provides: libjakarta-poi-java

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')

export CLASSPATH=/usr/share/java/jaxb-api.jar

%:
	dh $@ --with maven-repo-helper --with javahelper

override_dh_auto_build:
	dh_auto_build -- -Dversion.id=$(VERSION) -DDSTAMP=$(shell date '--date=@$(SOURCE_DATE_EPOCH)' +%Y%m%d) jar maven-poms javadocs

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- test
endif

override_dh_auto_install:
	mh_installpom -plibapache-poi-java    build/dist/poi-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/poi-scratchpad-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/poi-ooxml-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/poi-ooxml-schemas-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/poi-excelant-$(VERSION).pom
	mh_installjar -plibapache-poi-java -l build/dist/poi-$(VERSION).pom build/dist/poi-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/poi-scratchpad-$(VERSION).pom build/dist/poi-scratchpad-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/poi-ooxml-$(VERSION).pom build/dist/poi-ooxml-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/poi-ooxml-schemas-$(VERSION).pom build/dist/poi-ooxml-schemas-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/poi-excelant-$(VERSION).pom build/dist/poi-excelant-$(VERSION).jar

## libapache-poi-java 4.0.1

=== debian/changelog ===
libapache-poi-java (4.0.1-6) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/p/17_commons-compress-upgrade.patch: apply upstream patch to resolve ftbfs
    (Closes: #1065455).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 07 Mar 2024 15:21:27 +1300

libapache-poi-java (4.0.1-5) unstable; urgency=medium

  [ Pierre Gruet ]
  * Team upload
  * Providing classpaths of build jars in debian/libapache-poi-java.classpath
    (Closes: #1012079)
  * Raising Standards version to 4.6.1 (Rules-Requires-Root: no)
  * Removing unneeded versioned dependencies in debian/control
  * Replacing obsolete X-Comment field with Comment in d/copyright
  * Trim trailing whitespace.
  * Raising debian/watch format from 3 to 4.
  * Adding missing dependencies to the binary package
  * Apply multi-arch hints. + libapache-poi-java-doc: Add Multi-Arch: foreign.

  [ tony mancill ]
  * Add patch for BouncyCastle 1.77 (Closes: #1057167)
  * Use UTC for build timestamp (Closes: #1039741)

 -- tony mancill <tmancill@debian.org>  Wed, 13 Dec 2023 13:42:30 -0800

libapache-poi-java (4.0.1-4) unstable; urgency=medium

  * Compatibility with XMLBeans 4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2022 23:21:14 +0200

libapache-poi-java (4.0.1-3) unstable; urgency=medium

  * Fixed the build failure with Java 17 (Closes: #981973)
  * Tightened the dependency on libcommons-compress-java (Closes: #923540)
  * Preserve the compatibility with Java 8 when building with recent JDKs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Feb 2022 17:00:55 +0100

libapache-poi-java (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add preliminary ignore-test-errors.patch but don't apply it to work around
    the test failures.
  * Ignore test failures for now which seem to be related to the upgrade of
    commons-compress to version 1.21, "Truncated ZIP file". This could be merely
    a problem with some kind of return code or message but should be
    re-investigated when the next upstream version of Apache POI will be
    packaged. (Closes: #997715)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 13 Nov 2021 23:13:12 +0100

libapache-poi-java (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Disabled the tests using xmlunit 2.x (not in Debian yet)
    - Depend on libxmlbeans-java (>= 3.0.2)
    - New dependencies on libcommons-compress-java and libcommons-math3-java
  * Build with Java 11 (Closes: #912476)
  * Backported a fix for a test failure

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Jan 2019 23:34:12 +0100

libapache-poi-java (3.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #800958)
    - Fixes CVE-2017-5644: XML Entity Expansion (XEE) attack with specially
      crafted OOXML file (Closes: #858301)
    - Fixes CVE-2017-12626: Infinite Loops while parsing crafted WMF, EMF, MSG
      and macros. Out of memory errors while parsing crafted DOC, PPT and XLS
      (Closes: #888651)
    - Refreshed the patches
    - New dependencies on libcurvesapi-java and libcommons-collections4-java
    - Updated the path to the Maven artifacts produced by the build
    - Added xmlbeans to the build classpath
    - Patched the xsds to resolve the external schemas in offline mode
    - Disabled the JMH benchmarks
  * Build with Java 8 temporarily
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Jan 2019 10:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,32 +9,46 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  junit4,
  libbcpkix-java,
  libcommons-codec-java,
+ libcommons-collections4-java,
+ libcommons-compress-java,
  libcommons-logging-java,
+ libcommons-math3-java,
+ libcurvesapi-java,
  libdom4j-java,
- libjaxb-api-java,
+ libjaxb-java,
  liblog4j1.2-java,
- libxmlbeans-java,
- libxml-security-java (>= 2.0),
- maven-repo-helper
-Standards-Version: 4.1.5
+ librhino-java (>= 1.7.7.2-3~),
+ libxmlbeans-java (>= 4.0.0),
+ libxml-security-java,
+ maven-repo-helper,
+ xmltooling-schemas
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/libapache-poi-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libapache-poi-java
-Homepage: http://poi.apache.org
+Homepage: https://poi.apache.org
+Rules-Requires-Root: no
 
 Package: libapache-poi-java
 Architecture: all
 Depends:
+ libbcpkix-java,
  libcommons-codec-java,
+ libcommons-collections4-java,
+ libcommons-compress-java,
  libcommons-logging-java,
+ libcommons-math3-java,
+ libcurvesapi-java,
  libdom4j-java,
+ libjaxb-java,
  liblog4j1.2-java,
  libxmlbeans-java,
+ libxml-security-java,
  ${misc:Depends}
 Suggests: libapache-poi-java-doc, ant
 Conflicts: libjakarta-poi-java
@@ -62,6 +76,7 @@
 Conflicts: libjakarta-poi-java-doc
 Replaces: libjakarta-poi-java-doc
 Provides: libjakarta-poi-java-doc
+Multi-Arch: foreign
 Description: Apache POI - Java API for Microsoft Documents (Documentation)
  Apache POI provides a Java API for manipulating various file formats based upon
  the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+dfsg//')

#export CLASSPATH=/usr/share/java/xmlbeans.jar

%:
	dh $@ --with maven-repo-helper --with javahelper

override_dh_auto_build:
	dh_auto_build -- -Dversion.id=$(VERSION) -DDSTAMP=$(shell date --utc --date=@$(SOURCE_DATE_EPOCH) +%Y%m%d) jar maven-poms javadocs


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- test
endif

override_dh_auto_install:
	mh_installpom -plibapache-poi-java    build/dist/maven/poi/poi-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/maven/poi-scratchpad/poi-scratchpad-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/maven/poi-ooxml/poi-ooxml-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/maven/poi-ooxml-schemas/poi-ooxml-schemas-$(VERSION).pom
	mh_installpom -plibapache-poi-java    build/dist/maven/poi-excelant/poi-excelant-$(VERSION).pom
	mh_installjar -plibapache-poi-java -l build/dist/maven/poi/poi-$(VERSION).pom build/dist/maven/poi/poi-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/maven/poi-scratchpad/poi-scratchpad-$(VERSION).pom build/dist/maven/poi-scratchpad/poi-scratchpad-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/maven/poi-ooxml/poi-ooxml-$(VERSION).pom build/dist/maven/poi-ooxml/poi-ooxml-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/maven/poi-ooxml-schemas/poi-ooxml-schemas-$(VERSION).pom build/dist/maven/poi-ooxml-schemas/poi-ooxml-schemas-$(VERSION).jar
	mh_installjar -plibapache-poi-java -l build/dist/maven/poi-excelant/poi-excelant-$(VERSION).pom build/dist/maven/poi-excelant/poi-excelant-$(VERSION).jar

=== debian/watch ===
version=4
https://archive.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz debian debian/orig-tar.sh
